<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
        <groupId>com.qnfhq</groupId>
        <artifactId>blockchain-refactor</artifactId>
		<version>5.5.0</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>qnfhq-api</artifactId>
	<packaging>jar</packaging>
	<description>qnfhq-api</description>
    <properties>
        <captcha.version>1.6.2</captcha.version>
        <bitwalker.version>1.21</bitwalker.version>
        <mail.version>2.0.2</mail.version>
        <freemarker.version>2.3.34</freemarker.version>
        <aliyun.sms.version>4.1.1</aliyun.sms.version>
        <redisson.version>3.52.0</redisson.version>
        <fastjson.version>2.0.60</fastjson.version>
        <aliyun.captcha.version>1.1.4</aliyun.captcha.version>
    </properties>
	<dependencies>
		<dependency>
			<groupId>com.qnfhq</groupId>
			<artifactId>qnfhq-common</artifactId>
			<version>5.5.0</version>
		</dependency>
		<dependency>
			<groupId>com.qnfhq</groupId>
			<artifactId>qnfhq-dynamic-datasource</artifactId>
			<version>5.5.0</version>
		</dependency>

        <!-- 解析客户端操作系统、浏览器等 -->
        <dependency>
            <groupId>eu.bitwalker</groupId>
            <artifactId>UserAgentUtils</artifactId>
            <version>${bitwalker.version}</version>
        </dependency>

        <dependency>
            <groupId>com.sun.mail</groupId>
            <artifactId>jakarta.mail</artifactId>
            <version>${mail.version}</version>
        </dependency>


        <dependency>
            <groupId>org.freemarker</groupId>
            <artifactId>freemarker</artifactId>
            <version>${freemarker.version}</version>
        </dependency>

        <!-- 阿里云 短信及服务 -->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>dysmsapi20170525</artifactId>
            <version>${aliyun.sms.version}</version>
        </dependency>
        <dependency>
            <groupId>com.github.whvcse</groupId>
            <artifactId>easy-captcha</artifactId>
            <version>${captcha.version}</version>
        </dependency>
<!--        阿里云实名认证-->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>cloudauth_intl20220809</artifactId>
            <version>2.0.2</version>
        </dependency>
        <dependency>
            <groupId>org.redisson</groupId>
            <artifactId>redisson-spring-boot-starter</artifactId>
            <version>${redisson.version}</version>
        </dependency>


        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>${fastjson.version}</version>
        </dependency>
        <!-- 阿里云 智能验证码 -->
        <dependency>
            <groupId>com.aliyun</groupId>
            <artifactId>captcha20230305</artifactId>
            <version>${aliyun.captcha.version}</version>
        </dependency>

        <!--        <dependency>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-websocket</artifactId>
                </dependency>-->
	</dependencies>

	<build>
		<finalName>${project.artifactId}</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
